SciChart® the market leader in Fast WPF Charts, WPF 3D Charts, and now iOS Charting & Android Chart Components

0
0

Hi,
I’m trying to integrate into a large scale solution where SciChart needs to be installed into a new csproj type of project system.

While I was able to make WPF + SciChart kind of compile by following this:
https://github.com/Microsoft/msbuild/issues/1688

And more specifically this:
https://stackoverflow.com/questions/43693591/how-to-migrate-wpf-projects-to-the-new-vs2017-format

I cannot get it to properly use SciChart.DirectX package because SciChart uses very old SharpDX nugets (2.6.3).

The newer SharpDX nugets (4.0.1) do support new csproj / nuget 3.x properly, but since SciChart is locked into an older version I’m left unable to use it…

Are there any plans to update you own dependencies to a new SharpDX?

While for now I have samples runnign without DirectX, I don’t know how important it might become in the future…

Version
4.2.5
  • You must to post comments
1
1

Hi Dan

You will be pleased to know that SciChart WPF v5 runs on SharpDX v4.0.1. To use this you will need to enable our BETA NuGet feed ‘abtsoftware-bleeding-edge’ (instructions are here).

A full release of SciChart WPF v5 is expected soon, but we do not have an exact timeline.

Best regards,
Andrew

  • You must to post comments
0
0

Thanks a million, I didn’t know how to mark the answer in this interface as “good” but its great news.
Looking forward to testing it out later.

As I’m in evaluation process right now, I will probably wait for v5 for my final decision, but great news.

  • You must to post comments
Showing 2 results
Your Answer

Please first to submit.